// SomeView.cpp : implementation of the CSomeView class
//

#include "stdafx.h"
#include "MSDI.h"

#include "SomeDoc.h"
#include "SomeView.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CSomeView

IMPLEMENT_DYNCREATE(CSomeView, CEditView)

BEGIN_MESSAGE_MAP(CSomeView, CEditView)
	//{{AFX_MSG_MAP(CSomeView)
	//}}AFX_MSG_MAP
	// Standard printing commands
	ON_COMMAND(ID_FILE_PRINT, CEditView::OnFilePrint)
	ON_COMMAND(ID_FILE_PRINT_DIRECT, CEditView::OnFilePrint)
	ON_COMMAND(ID_FILE_PRINT_PREVIEW, CEditView::OnFilePrintPreview)
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CSomeView construction/destruction

CSomeView::CSomeView()
{
}

CSomeView::~CSomeView()
{
}

BOOL CSomeView::PreCreateWindow(CREATESTRUCT& cs)
{
	BOOL bPreCreated = CEditView::PreCreateWindow(cs);
	cs.style &= ~(ES_AUTOHSCROLL|WS_HSCROLL);	// Enable word-wrapping

	return bPreCreated;
}

/////////////////////////////////////////////////////////////////////////////
// CSomeView drawing

void CSomeView::OnDraw(CDC* pDC)
{
	CSomeDoc* pDoc = GetDocument();
	ASSERT_VALID(pDoc);
}

/////////////////////////////////////////////////////////////////////////////
// CSomeView printing

BOOL CSomeView::OnPreparePrinting(CPrintInfo* pInfo)
{
	// default CEditView preparation
	return CEditView::DoPreparePrinting(pInfo);
}

void CSomeView::OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo)
{
	CEditView::OnBeginPrinting(pDC, pInfo);
}

void CSomeView::OnEndPrinting(CDC* pDC, CPrintInfo* pInfo)
{
	CEditView::OnEndPrinting(pDC, pInfo);
}

/////////////////////////////////////////////////////////////////////////////
// CSomeView diagnostics

#ifdef _DEBUG
void CSomeView::AssertValid() const
{
	CEditView::AssertValid();
}

void CSomeView::Dump(CDumpContext& dc) const
{
	CEditView::Dump(dc);
}

CSomeDoc* CSomeView::GetDocument() // non-debug version is inline
{
	ASSERT(m_pDocument->IsKindOf(RUNTIME_CLASS(CSomeDoc)));
	return (CSomeDoc*)m_pDocument;
}
#endif //_DEBUG

/////////////////////////////////////////////////////////////////////////////
// CSomeView message handlers


